//TheApplet.java

import java.awt.*;
import java.awt.event.*;
import java.net.*;
import javax.swing.*;
import java.util.*;

public class TheApplet extends JApplet {

   URL codebase;   
   TheFrame frame;
   static boolean activ = false;
   Browser b;
   static Vector registeredFrames = new Vector();
      
   public void init() 
   {   	
   	codebase = getCodeBase();
        Container c = getContentPane();
        JPanel panel = new JPanel(new BorderLayout());
        JButton start = new JButton("Start Simulation");
        start.addActionListener(new ActionListener() 
        { 
             public void actionPerformed(ActionEvent e) 
             {		
             	if (activ == false) // allow only one instance
             	{
             		/* // uncomment this to open the help pages in an external browser
             		try {getAppletContext().showDocument(new URL(codebase + "html/helpindex.html"), "_blank");}
             		catch (MalformedURLException murle) { murle.printStackTrace();}
             		*/
             	
             		browserStarten("html/helpindex.html");
             		
             		activ = true;             		
             		frame = new TheFrame(codebase);             		
       			frame.show();
       		}
   	     }
        });
        panel.add(start,BorderLayout.CENTER);
        c.setBackground(Color.white);
        c.add(panel);
    }
    
    public void start()
    { }
    
    public void stop()
    { }
    
    public void destroy()
    {    	
    	if (activ) { frame.dispose(); }
    	activ = false;
    	System.gc();
    }
    
private void browserStarten(final String seite){
	SwingUtilities.invokeLater(new Runnable(){
			public void run(){
				if(b == null){
					b = new Browser(codebase, seite);
					b.setTitle("Help");
					b.setSize(new Dimension(570, 600));
				}
				else
					b.setPage(codebase, seite);
				b.setVisible(true); 
			}
	});
}
	
public static void registerFrame(JFrame frame){
	registeredFrames.add(frame);
}
    
     
} // end of everything
         