// JTextField2.java

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;

class JTextField2 extends JTextField
{
	
	// create JScrollBars 
	//	-when moving the scrollbar down the value returned by method JScrollBar.getValue()
	//	 becomes greater (and vice versa the value becomes smaller when moving the scrollbar up)
	// 	-the standard position of the eight scrollbars is the middle position (value = 0)
	//	-so values above the standard position are negative, values under the standard position
	//	 are positive (see also ActionPanel.java : values returned by the 
	//	 ActionPanel.getScrollbarValues() method are multiplicated by -1 to 'swap' the values
		
	JTextField2(String bordertitle)
	{		
		super("0",4);
		Border e = BorderFactory.createEtchedBorder();
		Border t = BorderFactory.createTitledBorder(e, bordertitle);	
		setBorder(t);	
		
		//setPreferredSize(new Dimension(0,0));
		//setMinimumSize(new Dimension(3,3));
		
	} // end of constructor
	
	public boolean isFocusTraversable()
	{ return true; }
	
} // end of class JTextField2 extends JTextField
